Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
Class GrailsNoDecorator

    java.lang.Object
      com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator
          org.codehaus.groovy.grails.web.sitemesh.GrailsNoDecorator

All Implemented Interfaces:
  com.opensymphony.sitemesh.Decorator

    public class GrailsNoDecorator

extends com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator

Grails version of Sitemesh's NoDecorator original version always calls response.setContentLength which would require the calculation of resulting bytes. Calculation would be extra overhead. bug exists for OutputStream / byte version: http://jira.opensymphony.com/browse/SIM-196 skip setting ContentLength because of that bug.

Author:
  Lari Hotari, Sagire Software Oy

Constructor Summary
`GrailsNoDecorator()`

Method Summary
`protected void` | `render(com.opensymphony.sitemesh.Content content, HttpServletRequest request, HttpServletResponse response, ServletContext servletContext, com.opensymphony.sitemesh.webapp.SiteMeshWebAppContext webAppContext)`

Methods inherited from class com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator
`render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsNoDecorator

    public GrailsNoDecorator()

Method Detail

### render

    protected void render(com.opensymphony.sitemesh.Content content,
                          HttpServletRequest request,
                          HttpServletResponse response,
                          ServletContext servletContext,
                          com.opensymphony.sitemesh.webapp.SiteMeshWebAppContext webAppContext)
                   throws IOException,
                          ServletException

  Specified by:
    `render` in class `com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator`
  Throws:
    `IOException`
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project